<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWMSWaybillOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('w_m_s_waybill_orders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('OrderNo')->index()->comment('SO单号');
            $table->string('SKU_Descr_c')->nullable()->comment('商品名称');
            $table->string('SKU')->nullable()->comment('商品编码');
            $table->string('Alternate_sku1')->nullable()->comment('条码');
            $table->string('Qtyordered_each')->nullable()->comment('数量');
            $table->string('Cubic')->nullable()->comment('体称');
            $table->string('GrossWeight')->nullable()->comment('毛重');
            $table->string('NetWeight')->nullable()->comment('净重');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('w_m_s_waybill_orders');
    }
}
